Bug 122528 - ypbind segfults when using vanilla kernel 2.4.26
ypbind segfults when using vanilla kernel 2.4.26
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ypbind (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-05-05 11:12 EDT by Baard Kristiansen
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-24 14:14:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Baard Kristiansen 2004-05-05 11:12:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)

Description of problem:
When booting a Redhat Enterprise 3-based machine with a vanilla kernel
(2.4.26) ypbind causes segmentation fault when starting.  When using
the official RHEL-kernels (2.4.21-9.0.3.EL) it works fine.

See the attached URL for a more in-depth description of what happens
when starting ypbind.  Full strace-log present.

Version-Release number of selected component (if applicable):
ypbind-1.12-5 and vanilla kernel 2.4.26 from kernel.org

How reproducible:

Steps to Reproduce:
1. Boot RHEL3-based machine with vanilla 2.4.26 kernel
2. Start ypbind

Actual Results:  ypbind causes a segmentation fault.  Unable to bind
to the NIS domain.

Expected Results:  We should have been bound to the NIS-domain.

Additional info:

The problem has been present on all RHEL3-based machines I've tested
it on.
Comment 2 Suzanne Hillman 2004-05-24 14:14:43 EDT
We do not support custom-built kernels, so since this is not a problem
on the kernels we supply, I am closing this bug.

Note You need to log in before you can comment on or make changes to this bug.